--[[
###############
Inked: keivamp#
###############
]]--
local Inked = LibStub("AceAddon-3.0"):GetAddon("Inked")
local LSM = LibStub("LibSharedMedia-3.0")
local addon, ns = ...
local cargBags = ns.cargBags

local InkedBags = cargBags:NewImplementation("InkedBags")	-- Let the magic begin!
local function RegisterBagsToBlizzard()
InkedBags:RegisterBlizzard()
end
function InkedBags:OnInit()
if Inked.db.profile.UseBags == false then  return end  
	-- The filters control which items go into which container
	local INVERTED = -1 -- with inverted filters (using -1), everything goes into this bag when the filter returns false

	local onlyBags =		function(item) return item.bagID >= 0 and item.bagID <= 4 end
	local onlyKeyring =		function(item) return item.bagID == -2 end
	local onlyBank =		function(item) return item.bagID == -1 or item.bagID >= 5 and item.bagID <= 11 end
	local onlyReagent = 	function(item) return item.bagID == -3 end
	local onlyRareEpics =	function(item) return item.rarity and item.rarity > 3 end
	local onlyEpics =		function(item) return item.rarity and item.rarity > 3 end
	local onlyCommon =		function(item) return item.rarity and item.rarity == 1 end
	local onlyUncommon =		function(item) return item.rarity and item.rarity == 2 end
	local onlyLegendary =		function(item) return item.rarity and item.rarity == 5 end
	local onlyArtifact =		function(item) return item.rarity and item.rarity == 6 end
	local onlySingleEpics =		function(item) return item.rarity and item.rarity == 4 end
	local onlySingleRare =		function(item) return item.rarity and item.rarity == 3 end
	local hideJunk =		function(item) return not item.rarity or item.rarity > 0 end
	local hideEmpty =		function(item) return item.texture ~= nil end
	local onlyConsumables = function(item) return item.type == Consumable end


	local MyContainer = self:GetContainerClass()
	--local MyEpicContainer = self:GetContainerClass()

	-- Bagpack
	local main = MyContainer:New("Main", {
			Columns = 14,
			Scale = 1,
			Bags = "backpack+bags",
			
		})
		main:SetFilter(onlyBags, true) 
		--main:SetFilter(onlyRareEpics, true) 
		main:SetFilter(hideEmpty, false)
		main:SetBags("backpack+bags")
		main:SetPoint("BOTTOMRIGHT", -25, 25)
		
		-- local Epicz = MyEpicContainer:New("Main", {
			-- Columns = 14,
			-- Scale = 1,
			-- Bags = "backpack",
		-- })
		-- Epicz:SetFilter(onlyUncommon, true) 
		-- Epicz:SetFilter(hideEmpty, true)
		-- Epicz:SetBags("backpack")

		-- Epicz:SetPoint("BOTTOM",main, 0, 351)


	--Bank frame and bank bags
	local bank = MyContainer:New("Bank", {
			Columns = 32,
			Scale = 0.82,
			Bags = "bankframe+bank",
		})
		bank:SetFilter(onlyBank, false) -- Take only items from the bank frame
		--bank:SetFilter(hideEmpty, true)
		bank:SetPoint("LEFT", 25,150) -- Place at left side of UI
		bank:Hide() -- Hide at the beginning
		
	
end


function InkedBags:OnBankOpened()
	self:GetContainer("Bank"):Show()
end

function InkedBags:OnBankClosed()
	self:GetContainer("Bank"):Hide()
end
	local InkedLoginFrame=CreateFrame("Frame")
		InkedLoginFrame:RegisterEvent("PLAYER_LOGIN")
		InkedLoginFrame:RegisterEvent("CINEMATIC_STOP")		
		InkedLoginFrame:SetScript("OnEvent", function(self, event) 
			if Inked.db.profile.UseBags == false then  
				return        
			end	  
			RegisterBagsToBlizzard()			
		end)