--[[
###############
Inked: keivamp#
###############
]]--
local Inked = LibStub("AceAddon-3.0"):GetAddon("Inked")
local LSM = LibStub("LibSharedMedia-3.0")

--[[

	**********************************
	*Getting the Player's raid colors*
	**********************************
	]]--
	local playerColor = RAID_CLASS_COLORS[select(2, UnitClass('player'))]
	local InkedColors = {r = playerColor.r * 0.95, g = playerColor.g * 0.95,b = playerColor.b * 0.95,a = 1}
	--[[
	************************************************************************
	*Initialize the StdUi to create the Welcome Screen with a custom config*
	************************************************************************
	]]--
	local StdUi = LibStub('StdUi'):NewInstance();
	--[[
	*************************************************************************
	*Creating the custom config to use cass colors for the window background*
	*************************************************************************
	]]--
	StdUi.config = {

		font        = {
			family    = font,
			size      = 48,
			titleSize = largeFontSize,
			effect    = 'NONE',
			strata    = 'OVERLAY',
			color     = {
				normal   = { r = 0.90, g = 0.80, b = 0, a = 1 },
				disabled = { r = 0.55, g = 0.55, b = 0.55, a = 1 },
				header   = { r = 1, g = 0.9, b = 1, a = 1 },
			}
		},

		backdrop    = {
			texture        = [[Interface\Buttons\WHITE8X8]],
			panel          = { r = InkedColors.r*0.6, g = InkedColors.g*0.6, b = InkedColors.b*0.6,InkedColors.a }, -- this gives me the player clas colors slightly dull
			slider         = { r = 0.15, g = 0.15, b = 0.15, a = 1 },

			highlight      = { r = 0.90, g = 0.40, b = 0, a = 0.5 },
			button         = { r = 1, g = 1, b = 1, a = 1 },
			buttonDisabled = { r = 0.15, g = 0.15, b = 0.15, a = 1 },

			border         = { r = 1.00, g = 1.00, b = 0.00, a = 1 },
			borderDisabled = { r = 0.40, g = 0.40, b = 0.40, a = 1 }
		},

		progressBar = {
			color = { r = 1, g = 0.9, b = 0, a = 0.5 },
		},

		highlight   = {
			color = { r = 0.25, g = 0, b = 0, a = 0.5 },
			blank = { r = 0, g = 0, b = 0, a = 0 }
		},

		dialog      = {
			width  = 400,
			height = 100,
			button = {
				width  = 100,
				height = 20,
				margin = 5
			}
		},

		tooltip     = {
			padding = 10
		}
	};
	
	--[[
	*****************************************************
	*Setting the window to the parent,width,height,title*
	*****************************************************
	]]--

	local panel = StdUi:Panel(UIParent, 150, 20);
	panel:SetPoint('CENTER',0,250);
	local button = StdUi:Button(panel, 200, 30, 'Lock Frames');
	StdUi:GlueBelow(button, panel, 0, 20);
	button:SetScript('OnClick', function()
		Inked.db.profile.lockframes = true
		ReloadUI()
	end);
	
--[[
	*********************************************************************************************************
	*Creating a quick Event Script to check the databse to see if the window should show at Player Login    *
	* ---Since there is no fucnctions in this script we need to make a quick one. I don't want to constantly* 
    *update so we will check when the Player Logs in or reloads the interface.                              *
	*********************************************************************************************************
	]]--
	local InkedLoginFrame=CreateFrame("Frame") -- Create the Frame
		InkedLoginFrame:RegisterEvent("PLAYER_LOGIN")	--Register the even I want
		InkedLoginFrame:SetScript("OnEvent", function(self, event) -- create the event script
			if Inked.db.profile.lockframes == true then      --************************************
					panel:Hide()                              --*Code that I want the evet to check*
				  end	                                       --************************************
		end)--make sure we close the event script function

	local function UpdateMe()
		if(Inked.db.profile.lockframes == false) then
			panel:Show()
			else
			panel:Hide()  
		end
	end	
	---Update Database check
	local InkedSettingsFrame = CreateFrame("Frame")	
	InkedSettingsFrame:HookScript("OnUpdate",UpdateMe) 